﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Ball : MonoBehaviour {

	Rigidbody rb;
	public AudioSource theAudio;
	public AudioClip blowUP;
	public float speed;


	public bool IsSplit = false;
	public GameObject SecondComet;
	public GameObject PewPew;
	public float maxComets = 0f;


	// Use this for initialization
	void Start () {

		theAudio = GetComponent<AudioSource> ();
		rb = GetComponent <Rigidbody> ();

		rb.AddForce (120, 300, 0);


		
	}


	void Update () {
		maxComets = GameObject.FindGameObjectsWithTag ("Ball").Length;
	}

	void FixedUpdate () {
		transform.Rotate (5, 1, 0);
		rb.velocity += rb.velocity.normalized * .02f;
	}


	
	// Update is called once per frame
	void OnCollisionEnter (Collision col) {

//		if (col.gameObject.CompareTag ("Brick")) {
//			ScoreCount ++;
//			ScoreTxt.text = ScoreCount.ToString ();
//
//		}
		if (col.gameObject.CompareTag ("Brick")) {

		
			theAudio.PlayOneShot (blowUP);
			rb.velocity += rb.velocity.normalized * .2f;

		}

		if (col.gameObject.CompareTag ("Lazer") && maxComets < 3) {

			PrefabDeezNuts ();


		}

		if (col.gameObject.CompareTag ("Wall") && maxComets < 5) {

			PrefabDeezNuts ();
		

		}

	}

	void PrefabDeezNuts () {

		Instantiate (SecondComet, PewPew.transform.position, PewPew.transform.rotation);

	}

	
		//if (col.gameObject.CompareTag ("Player")) {
			//Destroy (gameObject);
		//}
	}

