﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class Swagenation9000 : MonoBehaviour {

	public Rigidbody Rb;
	public float speed = 1f;
	public float Lives = 3f;
	public Text LifeTxt;
	public GameObject SpawnPoint;
	public GameObject LoseScreen;
	public bool playing;

	public GameObject prefabLaser;
	public GameObject Gun;


	public AudioSource theAudio;
	public AudioClip Shoot;
	public AudioClip Hit;
	public AudioClip Death;
	public static float ScoreCount;
	public Text ScoreTxt;

	//public Text text;

	public enum State {
		Orange,
		Red,
		Purple,
		Blue,
		Green,
		Yellow,
	}
	State myState;

	private static Swagenation9000 instance = null;
	
	public static Swagenation9000 Instance { get { return instance; } }
	
	void Awake ()
	{
		instance = this;
		//DontDestroyOnLoad (gameObject);
	}

	// Use this for initialization
	void Start () {

		theAudio = GetComponent<AudioSource> ();
		playing = true;
		Rb = GetComponent<Rigidbody> ();
		LifeTxt.text = Lives.ToString();

	}

//	void OnEnable () {		
//		var Swag = FindObjectsOfType <Swagenation9000>();
//		if (Swag.Length == 1) {
//			// Required for singleton
//			print ("dont hurt me");
//			instance = this;
//			DontDestroyOnLoad (gameObject);
//
//		} else {
//			Destroy (gameObject);
//		}
//		text.text = "Lives " + Mathf.Round (Lives);
//	}

	void Update () {
		if (Lives <= 0 && playing == true) {
			theAudio.PlayOneShot (Death);
			LoseScreen.SetActive (true);
			Time.timeScale = 0f;
			playing = false;

		}
	

	}


	void FixedUpdate () {

//		var pos = transform.position;
//		pos.x =  Mathf.Clamp(transform.position.x, -6.0f, 6.0f);							//clamping
//		transform.position = pos;
		//---------------------------------//
//		if (Input.GetKey (KeyCode.W)){
//		transform.position += transform.up * speed * Time.fixedDeltaTime * 1;			//up
//		} else if (Input.GetKey (KeyCode.S)) {
//			transform.position += transform.up * speed * Time.fixedDeltaTime * -1;			//down
//		} else if (Input.GetKey (KeyCode.A)) {
//			transform.position += transform.right * speed * Time.fixedDeltaTime * -1;		//left
//		} else if (Input.GetKey (KeyCode.D)) {
//			transform.position += transform.right * speed * Time.fixedDeltaTime * 1;			//right
//		}
		float horz = Input.GetAxis ("Horizontal"); 				//SMOOTH CONTROLS
		float vert = Input.GetAxis ("Vertical");				//SMOOTH CONTROLS

		Vector3 velocity = new Vector3 (horz, vert, 0) ;		//SMOOTH CONTROLS
				velocity *= speed;								//SMOOTH CONTROLS
				Rb.velocity = velocity;							//SMOOTH CONTROLS

		if (Input.GetKey (KeyCode.UpArrow)) {
			transform.rotation = Quaternion.Euler (90, 180, 0);
		}

		if (Input.GetKey (KeyCode.DownArrow)) {
			transform.rotation = Quaternion.Euler (-90,0, 0);
		}

		if (Input.GetKey (KeyCode.RightArrow)) {
			//transform.Rotate (0, 5, 0);
			transform.rotation = Quaternion.Euler (0, -90, 90);
		}

		if (Input.GetKey (KeyCode.LeftArrow)) {
			//transform.Rotate (0, -5, 0);
			transform.rotation = Quaternion.Euler (0, 90, -90);
		}

		if (Input.GetKeyDown (KeyCode.Space)) {

			PrefabMyBalls ();
		}

	}

	void OnTriggerEnter (Collider col) {
		if (col.gameObject.CompareTag ("Ball")) {

			transform.position = SpawnPoint.transform.position;
			transform.rotation = SpawnPoint.transform.rotation;
			theAudio.PlayOneShot (Hit);
			dieRed.ScoreCount -= 10f; 

			Lives--;
			LifeTxt.text = Lives.ToString();

		}

		if (col.gameObject.CompareTag ("Astroid")) {

			transform.position = SpawnPoint.transform.position;
			transform.rotation = SpawnPoint.transform.rotation;
			theAudio.PlayOneShot (Hit);
			Lives--;
			LifeTxt.text = Lives.ToString();

		}
	}

	void PrefabMyBalls () {

			Instantiate (prefabLaser, Gun.transform.position, Gun.transform.rotation);
		theAudio.PlayOneShot (Shoot);
			

	}



}
