﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;
using UnityEngine.SceneManagement;
using UnityEngine.EventSystems;

public class UImanager : MonoBehaviour
{

	public static UImanager Instance;


	private int time;
	public GameObject scrEnd;
	public GameObject scrLose;
	public GameObject scrStart;
	public GameObject scrHUD;
	public GameObject scrPause;
	public GameObject scrCredits;
	public GameObject Sound;



	public GameObject userInt;
	float countdown = 5f;
	float TimeClock = 30f;
	public Text TimerTxt;
	public Text CountDownText;
	public bool StartGame;
	public bool playing;

	public AudioSource theAudio;
	public AudioClip BtnClk;

	public AudioClip GameWin;

	public float BrickCount;

	//public static float MaximumComets = 0f;


	void Start ()
	{
		theAudio = GetComponent<AudioSource> ();

		playing = true;
		Time.timeScale = 0;
		TimerTxt.text = TimeClock.ToString ();

		//what screen will be at the start of the game  //set one screen (the scrStart) true and the rest false here. 
		scrStart.SetActive (true);
		scrHUD.SetActive (false);
		scrLose.SetActive (false);
		scrPause.SetActive (false);
		scrCredits.SetActive (false);
		scrEnd.SetActive (false);
		Sound.SetActive (true);


		//Time.timeScale = 0; //game paused when you start



	}


	// Use this for initialization
	void Awake ()
	{
		Instance = this; 
	
	}



	// Update is called once per frame
	void Update ()
	{

		TimerTxt.text = TimeClock.ToString ();

		if (StartGame == true) {
			Sound.SetActive (false);
			countdown -= Time.unscaledDeltaTime;
			CountDownText.text = "" + Mathf.Round (countdown);
		}

		if (Input.GetKeyDown (KeyCode.Escape) && userInt.activeInHierarchy == false) {
				

					theAudio.PlayOneShot (BtnClk);   //This makes the buttons make a nise when pressed.
			if (Time.timeScale == 1) {
						Time.timeScale = 0;
						scrHUD.SetActive (false);
						scrPause.SetActive (true);
			} else if(Time.timeScale == 0 && scrPause.activeInHierarchy == true) {
						Time.timeScale = 1;
						scrHUD.SetActive (true);
						scrPause.SetActive (false);

					}

				
			}
	
			
		if (countdown <= 0f && userInt.activeInHierarchy == true) {
				userInt.SetActive (false);
				Time.timeScale = 1f;
			}

			if (Input.GetKeyDown (KeyCode.Space)) {
				countdown--;
			}


		if (Time.timeScale == 1) {
			TimeClock -= Time.deltaTime;
			TimerTxt.text = "" + Mathf.Round (TimeClock);
		}


		BrickCount = GameObject.FindGameObjectsWithTag ("Brick").Length;
		if (BrickCount <= 49 && playing == true) {
			playing = false;
			scrEnd.SetActive (true);

		}

		if (playing == false) {

			Time.timeScale = 0;
		}

		if (TimeClock <= 0f) {
			scrLose.SetActive (true);
			Time.timeScale = 0f;
		}
	}

	//the following is a mix of button and screen controls


	public void OnPausePress ()
	{


	}

	public void OnControlScreen ()
	{
		theAudio.PlayOneShot (BtnClk);
		scrStart.SetActive (false);
		//scrGameplay.SetActive (false);
		//IsPlaying = false;
	
		//scrStart.GetComponent<GUIFade> ().FadeOut(1f);
		//scrControls.GetComponent<GUIFade> ().FadeIn(1f);   //Need this to fade screens in and out from one another. Will also need the fade script to be atached to whatever screen




	}

	public void OnCreditsbtn ()
	{

		theAudio.PlayOneShot (BtnClk);
		scrStart.SetActive (false);
		scrLose.SetActive (false);
		scrCredits.SetActive (true);
		scrEnd.SetActive (false);
	


	}

	public void OnStartGame ()
	{

		theAudio.PlayOneShot (BtnClk);
		scrStart.SetActive (false);
		scrHUD.SetActive (true);

		StartGame = true;


	}


//	public void OnRetryBtn ()
//	{
//		audio.PlayOneShot (BtnClk);
//		Retrying = true;
//		PreviousTime = 0;
//		SceneManager.LoadScene (0);
//
////		scrLose.SetActive (false);
////		scrStart.SetActive (false);
////		scrGameplay.SetActive (true);
////		IsPlaying = true;
////		Invoke ("CountDown", 1f);
////
////
////		Time.timeScale = 1; //game paused when you start
//
//
//	}




	public void OnMainbtn ()
	{

		theAudio.PlayOneShot (BtnClk);
	
		SceneManager.LoadScene (0);




	}

//	public void OnEdacBtn ()
//	{
//		
//		#if UNITY_EDITOR || UNITY_STANDALONE
//		Debug.Log ("Unity Editor");
//		//Used for Windows or Editor
//		Application.OpenURL ("http://myedac.ca");
//
//		#endif
//
//		#if UNITY_WEBGL
//		//used for WebGL
//
//		Application.ExternalEval ("window.open('http://myedac.ca','_top')");
//
//		#endif
//	
//	}

//	public void OnControlsBtn ()
//	{
//		audio.PlayOneShot (BtnClk);
//		scrStart.SetActive (false);
//
//	}


}
